<!DOCTYPE HTML>
<html>

<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>

<body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
  <script>
    var Todo = Backbone.Model.extend({
      defaults: {
        completed: false
      },
      validate: function(attribs) {
        if (attribs.title === undefined) {
          return "Remember to set a title for your todo.";
        }
      },
      initialize: function() {
        console.log('This model has been initialized.');
        this.on("invalid", function(model, error) {
          console.log(error);
        });
      }
    });
    var myTodo = new Todo();
    myTodo.set("Di hoc odoo",false);
    // myTodo.set('completed', true, {
    //   validate: true
    // });
    // Chu y chi chay khi validate true, false se khong check
    // logs: Remember to set a title for your todo.
    console.log('completed: ' + myTodo.get('completed')); // completed: false
  </script>
</body>

</html>
